> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get query results

> Use this method if the length of your query exceeds normal GET limitations.

The response contains matching documents, plus statistics about the query operation.

Use the `/api/query-pipelines` endpoint to get the query pipeline ID for this request.  For a Domain Search Language (DSL) search, see the `POST` method for the `/query-pipelines/{id}` endpoint.



## OpenAPI

````yaml /api-reference/5.9/fusion-api-query.json post /query-pipelines/{id}/collections/{collection}/{handler}
openapi: 3.0.1
info:
  title: Fusion Query API
  description: >-
    A Lucidworks Fusion microservice for machine-learning-enhanced ranking and
    retrieval.
  contact:
    name: Lucidworks
    url: www.lucidworks.com
    email: support@lucidworks.com
  license:
    name: License of API
    url: https://lucidworks.com/legal/developer-license-agreement/
  version: '5.9'
servers:
  - url: https://{FUSION HOST}/api
    description: Fusion
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: Your environment host.
  - url: https://{FUSION HOST}/api/apps/{APP_NAME}
    description: Fusion app
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: Your environment host.
      APP_NAME:
        default: APP_NAME
        description: The name of your Fusion app.
security:
  - Basic auth: []
  - API key: []
tags:
  - name: Custom Rule Type API
    description: Endpoints to define and manage custom rule type definitions.
  - name: Experiments API
    description: >-
      Use the Experiments API to compare different configuration variants and
      determine which ones are most successful.
  - name: Query Pipelines API
    description: >-
      Use these endpoints to view and manage your query pipelines.  You can also
      send queries using this API, though the Query Profiles API is recommended
      instead.
  - name: Query Profiles API
    description: >-
      The Query Profiles API provides static endpoints that you can consistently
      point to when querying your collections.  Query profiles allow you to
      change the query pipelines or collections behind them without changing the
      endpoint you use for your search queries.  See the Query Profiles CRUD API
      for endpoints that create and modify query profiles.
  - name: Query Profiles CRUD API
    description: >-
      Use these endpoints to create and modify query profiles.  Query profiles
      allow you to change the query pipelines or collections behind them without
      changing the endpoint you use for your search queries.  See the Query
      Profiles API for the query endpoints.
  - name: Query Rewrite API
    description: >-
      The Query Rewrite API manages documents used for query rewriting to
      improve relevancy using AI-generated data. Primarily for internal use.
  - name: Query Stage API
    description: >-
      Use these endpoints to view the available query pipeline stages and their
      configuration parameters.
  - name: Query Stage Plugins API
    description: >-
      Use these endpoints to view, install, and manage custom query stages
      developed with the Query Stage SDK.
  - name: Signal Indexing API
    description: Endpoints to index signals.
  - name: Experience Manager API
    description: API only for internal use by the Experience Manager Springboard system
  - name: Query Pipeline Template API
    description: Used internally to generate query pipelines from a template.
externalDocs:
  description: Lucidworks Documentation.
  url: https://doc.lucidworks.com/
paths:
  /query-pipelines/{id}/collections/{collection}/{handler}:
    post:
      tags:
        - Query Pipelines API
      summary: Get query results
      description: >-
        Use this method if the length of your query exceeds normal GET
        limitations.


        The response contains matching documents, plus statistics about the
        query operation.


        Use the `/api/query-pipelines` endpoint to get the query pipeline ID for
        this request.  For a Domain Search Language (DSL) search, see the `POST`
        method for the `/query-pipelines/{id}` endpoint.
      operationId: queryWithAudioUsingPOST
      parameters:
        - name: id
          description: The query pipeline ID.
          in: path
          required: true
          schema:
            type: string
        - name: collection
          description: The data collection to query.
          in: path
          required: true
          schema:
            type: string
        - name: handler
          description: The Solr search handler to use for this query.
          in: path
          required: true
          schema:
            type: string
        - name: q
          description: The query terms, using the Solr query language.
          in: query
          required: true
          schema:
            type: string
        - name: params
          description: Additional Solr query parameters.
          in: query
          schema:
            $ref: '#/components/schemas/MultiValueMapStringString'
      responses:
        '200':
          description: OK
          content:
            application/*:
              schema:
                $ref: '#/components/schemas/WriteableResponseObject'
            text/*:
              schema:
                $ref: '#/components/schemas/WriteableResponseObject'
      externalDocs:
        description: See the Solr documentation.
        url: >-
          https://solr.apache.org/guide/8_8/requesthandlers-and-searchcomponents-in-solrconfig.html
components:
  schemas:
    MultiValueMapStringString:
      description: The parameters of the query request.
      type: object
      properties:
        all:
          type: object
          additionalProperties:
            type: string
          writeOnly: true
        empty:
          type: boolean
      additionalProperties:
        type: array
        items:
          type: string
    WriteableResponseObject:
      description: Query response object.
      type: object
      properties:
        contentType:
          type: string
        mediaType:
          $ref: '#/components/schemas/MediaType'
        contentCharset:
          type: string
    MediaType:
      type: object
      properties:
        type:
          type: string
        subtype:
          type: string
        parameters:
          type: object
          additionalProperties:
            type: string
            description: Additional properties
        wildcardType:
          type: boolean
        wildcardSubtype:
          type: boolean
  securitySchemes:
    Basic auth:
      type: http
      scheme: basic
    API key:
      name: x-api-key
      type: apiKey
      in: header

````